﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CsFileCopy
{
    /// <summary>
    /// お気に入りのデータを保持するクラスです。
    /// </summary>
    public class FavoriteData
    {
        /// <summary>
        /// お気に入りデータのID
        /// </summary>
        public int Id
        {
            get;
            set;
        }

        /// <summary>
        /// お気に入りのタイトル
        /// </summary>
        public string Title
        {
            get;
            set;
        }

        /// <summary>
        /// 抽出元フォルダー
        /// </summary>
        public string ExtractFolder
        {
            get;
            set;
        }

        /// <summary>
        /// 抽出対象ファイル
        /// </summary>
        public string ExtractFile
        {
            get;
            set;
        }

        /// <summary>
        /// 抽出除外ファイル
        /// </summary>
        public string ExcludeFile
        {
            get;
            set;
        }

        /// <summary>
        /// 抽出先フォルダー
        /// </summary>
        public string DestinationFolder
        {
            get;
            set;
        }

        /// <summary>
        /// お気に入りデータのタイトルの表示
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            return Title;
        }

        /// <summary>
        /// お気に入りデータが等しいかどうかを調べます。
        /// </summary>
        /// <param name="obj">比較対象のオブジェクト</param>
        /// <returns>等しい場合はtrue、等しくない場合はfalse</returns>
        public override bool Equals(object obj)
        {
            if (obj is FavoriteData)
            {
                return this.Id == ((FavoriteData)obj).Id;
            }

            return false;
        }

        /// <summary>
        /// お気に入りデータのハッシュ値を返します。
        /// </summary>
        /// <returns>お気に入りデータのハッシュ値</returns>
        public override int GetHashCode()
        {
            return base.GetHashCode();
        }
    }
}
